{
	"$schema": "https://turbo.build/schema.json",
	"globalDependencies": ["**/.env.*local"],
	"globalEnv": [
		"EMAIL_SERVER",
		"EMAIL_FROM",
		"SECRET",
		"DATABASE_URL",
		"AUTH_DISPATCH_SECRET",
		"LIVEKIT_API_KEY",
		"LIVEKIT_API_SECRET",
		"NEXTAUTH_HUB_SECRET",
		"AUTH_DISPATCH_COOKIE_PREFIX"
	],
	"ui": "tui",
	"tasks": {
		"generate": {
			"cache": false,
			"persistent": false
		},
		"migrate": {
			"cache": false,
			"persistent": false
		},
		"build": {
			"dependsOn": ["^build", "generate"],
			"inputs": ["$TURBO_DEFAULT$", ".env*"],
			"outputs": [".next/**", "!.next/cache/**", "dist/**"]
		},
		"lint": {
			"dependsOn": ["^lint"]
		},
		"check-types": {
			"dependsOn": ["^check-types"]
		},
		"dev": {
			"dependsOn": [],
			"cache": false,
			"persistent": true
		}
	}
}
